net.sf.jasperreports.engine.type

## Enum FooterPositionEnum

- java.lang.Object
- - java.lang.Enum<FooterPositionEnum>
  - - net.sf.jasperreports.engine.type.FooterPositionEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FooterPositionEnum>, JREnum, NamedEnum

      public enum FooterPositionEnum
      extends java.lang.Enum<FooterPositionEnum>
      implements JREnum

  Version:
    $Id: FooterPositionEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLLATE_AT_BOTTOM` The group footer section is rendered at bottom of the current page, provided that the outer footers have a similar footer display option to render at the page bottom as well, because otherwise, they cannot be forced to change their behavior in any way.
    `FORCE_AT_BOTTOM` The group footer section is rendered at bottom of the current page, provided that an inner group having this value would render its footer right at the bottom of the page, forcing the outer group footers to render on the next page.
    `NORMAL` The group footer section is rendered at normal position, just right after the last detail or right after the nested group footer section.
    `STACK_AT_BOTTOM` The group footer section is rendered at bottom of the current page, provided that an inner group having this value would force outer group footers to stack at the bottom of the current page, regardless of the outer group footer setting.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FooterPositionEnum` | `getByName(java.lang.String name)`
    `static FooterPositionEnum` | `getByValue(byte value)`
    `static FooterPositionEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static FooterPositionEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FooterPositionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final FooterPositionEnum NORMAL

      The group footer section is rendered at normal position, just right after the last detail or right after the nested group footer section.

    - #### STACK_AT_BOTTOM

          public static final FooterPositionEnum STACK_AT_BOTTOM

      The group footer section is rendered at bottom of the current page, provided that an inner group having this value would force outer group footers to stack at the bottom of the current page, regardless of the outer group footer setting.

    - #### FORCE_AT_BOTTOM

          public static final FooterPositionEnum FORCE_AT_BOTTOM

      The group footer section is rendered at bottom of the current page, provided that an inner group having this value would render its footer right at the bottom of the page, forcing the outer group footers to render on the next page.

    - #### COLLATE_AT_BOTTOM

          public static final FooterPositionEnum COLLATE_AT_BOTTOM

      The group footer section is rendered at bottom of the current page, provided that the outer footers have a similar footer display option to render at the page bottom as well, because otherwise, they cannot be forced to change their behavior in any way.

  - ### Method Detail

    - #### values

          public static FooterPositionEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FooterPositionEnum c : FooterPositionEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FooterPositionEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static FooterPositionEnum getByName(java.lang.String name)

    - #### getByValue

          public static FooterPositionEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static FooterPositionEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com